local mod_name = core.get_current_modname()
local mod_path = core.get_modpath(mod_name)

aom_fengold = {}

aom_fengold.has_aom_tcraft = core.get_modpath("aom_tcraft") ~= nil
function aom_fengold.register_craft(...)
	if aom_fengold.has_aom_tcraft then return aom_tcraft.register_craft(...) end
end
function aom_fengold.register_two_way_craft(a, b, c)
    if not c then c = 1 end
    aom_fengold.register_craft({output = b .. " " .. c, items = {[a] = c}})
    aom_fengold.register_craft({output = a .. " " .. c, items = {[b] = c}, hide_if_not_craftable = true})
end
-- items
dofile(mod_path .. "/items" .. "/gilding.lua")

-- nodes
dofile(mod_path .. "/nodes" .. "/gilded.lua")

